package com.zcloud.service.hiddenDangerCheckStandard;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：隐患排查标准明细表（通用）
 * 作者：wangpeng
 * 时间：2024-01-25
 * 官网：www.zcloudchina.com
 */
public interface CommonItemService {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd)throws Exception;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void saveItem(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd)throws Exception;

	/**
	 * 修改
	 *
	 * @param pd
	 * @throws Exception
	 */
	public void editItem(PageData pd) throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> list(Page page)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd)throws Exception;

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	void deleteAll(PageData pd)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	Integer getCount(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void deleteByCommon(PageData pd)throws Exception;
}

